package com.engine.salary.mapper.cbs;

import com.engine.salary.remote.cbs8.po.UfHkrdzbPO;

import java.util.List;

public interface UfHkrdzbMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<UfHkrdzbPO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<UfHkrdzbPO> listSome(UfHkrdzbPO ufHkrdzb);
    

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	UfHkrdzbPO getById(Integer id);
	
	/**
     * 新增，忽略null字段
     *
     * @param ufHkrdzb 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(UfHkrdzbPO ufHkrdzb);
    
	/**
     * 修改，修改所有字段
     *
     * @param ufHkrdzb 修改的记录
     * @return 返回影响行数
     */
	int update(UfHkrdzbPO ufHkrdzb);
	
	/**
     * 修改，忽略null字段
     *
     * @param ufHkrdzb 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(UfHkrdzbPO ufHkrdzb);

	
}